<?php
/**
 * The Header Donut
 *
 * @package Donut
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#content">
<?php esc_html_e( 'Skip to content', 'donut' ); ?></a>
<div class="fixed_wrap fixed clearfix">
<div class="wrap clearfix">
<header class="header">
<div id="header-wrapper">
<div class="header-wrap">
<div class="inner">
<div class="logo">
<?php the_custom_logo(); ?>
<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
<p class="site-description"><?php bloginfo( 'description' ); ?></p>
</div>
<div class="header-banner">
<div class="donut-bans-wrap">
<div class="donut-bans">
<div class="donut-ban" style="width:728px; height:90px;">
<?php
if ( get_header_image() ) :
	?>
<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>"></a><?php endif; ?>
</div></div></div></div></div></div></div>

<nav id="navigation" class="navigation dd-effect-slide" data-sticky_logo_width="143" role="navigation"><div class="inner">
<ul id="menu-main-menu" class="main-menu donut_visibility_desktop">
<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>">
<span><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/home.png"></span>
</a></li>
</ul>
			<?php
				wp_nav_menu(
					array(
						'theme_location' => 'primary',
						'menu_class'     => 'main-menu donut_visibility_desktop',
						'fallback_cb'    => 'donut_fallback',
					)
				);
				?>
<div class="donut_visibility_device device-menu-wrap">
<div class="device-menu-holder">
<span class="donut_dev_menu"><a href="#"></a></span>
<span class="the_menu_holder_area">
<span class="icon_only_label">
<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
<?php echo bloginfo( 'name' ); ?>
</a></span>
<span class="menu_bl_apdel"></span></span>
<span class="donut-drop" style='font-size:10px; color:#FFFFFF;'>&#9660;</span>
</div>
			<?php 
				wp_nav_menu(
					array(
						'theme_location' => 'primary',
						'menu_class'     => 'device-menu',
						'fallback_cb'    => 'donut_device_fall',
					)
				); 
				?>
</div>
<div class="clear"></div></div>
</nav>
</header>
<div class="main-container" id="content">
