<?php
/**
 * Donut back compat functionality
 *
 * @package Donut
 */

/**
 * Donut back compat
*/
function donut_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'donut_upgrade_notice' );
}
add_action( 'after_switch_theme', 'donut_switch_theme' );

/**
 * Add message for unsuccessful theme switch.
 *
*/
function donut_upgrade_notice() {
	/* translators: %1$s: search term */
	$message = sprintf( __( 'donut requires at least WordPress version 5.0.3. You are running version %s. Please upgrade and try again.', 'donut' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', esc_html( $message ) );
}

/**
 * Prevent the Theme Customizer from being loaded on WordPress versions prior to 5.0.3.
*/
function donut_customize() {
	wp_die(
		/* translators: %1$s: search term */
		sprintf( esc_html_e( 'Donut requires at least WordPress version 5.0.3. You are running version %s. Please upgrade and try again.', 'donut' ), esc_html( $GLOBALS['wp_version'] ) ),
		'',
		array(
			'back_link' => true,
		)
	);
}
add_action( 'load-customize.php', 'donut_customize' );

function donut_preview() {
	if ( isset( $_GET['preview'] ) ) {
		/* translators: %1$s: search term */
		wp_die( sprintf( esc_html_e( 'donut requires at least WordPress version 5.0.3. You are running version %s. Please upgrade and try again.', 'donut' ), esc_html( $GLOBALS['wp_version'] ) ) );
	}
}
add_action( 'template_redirect', 'donut_preview' );
