<?php
/**
 * Template Name: Custom Home Page Template
 *
 * @package Donut
 */

get_header(); ?>

<div class="main-left">
<div class="main-content" role="main">
<?php $cate_id = get_cat_ID( 'slider' ); ?>
<?php if ( $cate_id ) { ?>
	<?php if ( get_category( $cate_id )->category_count > 0 ) { ?>
<section class="section" style="height:450px;">
<div class="ap-slider"><div class="ap-slider-wrap1 donut-custom-slider" style="max-width:100%;">
<ul class="slider">
		<?php
		$args = array(
			'category_name' => 'slider',
			'order'         => 'DESC',
			'showposts'     => 4,
		);
		$loop = new WP_Query( $args );
		while ( $loop->have_posts() ) :
			$loop->the_post();
			?>
<li class="slide ap-slider-item">
			<?php if ( has_post_thumbnail() ) : ?>
				<?php
				the_post_thumbnail(
					'donut-slider',
					array(
						'class' => 'donut_slide',
						'style' => 'width:114%;',
					)
				);
				?>
<div class="ap-slider-cap"><div class="ap-slider-title">
<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
</div></div>
<?php endif; ?>
<?php endwhile; ?>
		<?php wp_reset_postdata(); ?>
</li>
</ul></div></div>
</section>
<?php } ?>
<?php } ?>
<section class="section article-div1">
<div class="feature-tabbed dt-08">
<div class="dt-tabbed-head">
<ul class="dt-tabbed-header">
<li class="cat_Select a Category"><h2><?php esc_html_e( 'Articles', 'donut' ); ?></h2></li>
</ul>
</div>
		<div class="dt-tabbed-container">
		<div class="dt-tabbed-body cat_Select a Category">
		<ul class="dt-tabbed-grid dt-tabbed-cols2">
	<?php
	$args = array(
		'post_type'      => 'post',
		'posts_per_page' => 3,
		'post__not_in'   => get_option( 'sticky_posts' ),
		'orderby'        => 'rand',
	);
	$loop = new WP_Query( $args );
	if ( $loop->have_posts() ) :
		while ( $loop->have_posts() ) :
			$loop->the_post();
			?>
		<li>
			<h2 class="h2bg"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			<p>
			<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'medium' ); ?></a>
			<?php the_excerpt(); ?>...<br>
			<em style="float:right;"><a href="<?php the_permalink(); ?>"><?php esc_html_e( ' Read More...', 'donut' ); ?></a></em>
			</p>
		</li>
	<?php endwhile; ?>
	<?php endif; ?>
	<?php wp_reset_postdata(); ?>
		</ul></div>
		</div></div></section>
		</div>
		<aside class="secondary-sidebar">
		<div class="widget posts">
		<ul class="post-list">
		<li>
	<?php
		$args            = array(
			'showposts'     => 1,
			'order'         => 'DESC',
			'category_name' => 'Uncategorized',
		);
		$uncategory_id   = get_cat_ID( 'Uncategorized' );
		$uncategory_link = get_category_link( $uncategory_id );
				$loop    = new WP_Query( $args );
		while ( $loop->have_posts() ) :
			$loop->the_post();
			?>
		<figure class="post-thumbnail">
		<a itemprop="url" href="<?php echo esc_url( $uncategory_link ); ?>" rel="bookmark">
			<?php if ( has_post_thumbnail() ) : ?>
				<?php the_post_thumbnail( 'medium' ); ?>
		<?php endif; ?>
		</a>
		<?php endwhile; ?>
		</figure><h2><a href="<?php echo esc_url( $uncategory_link ); ?>" rel="bookmark"><?php esc_html_e( 'Post', 'donut' ); ?></a></h2>
		<a href="<?php echo esc_url( $uncategory_link ); ?>" class="read-more-link"><?php esc_html_e( 'Read more...', 'donut' ); ?></a>
		<?php wp_reset_postdata(); ?>
		</li>
		<li>
		<?php
		$args          = array(
			'showposts'     => 1,
			'order'         => 'DESC',
			'category_name' => 'gallery',
		);
		$category_id   = get_cat_ID( 'gallery' );
		$category_link = get_category_link( $category_id );
				$loop  = new WP_Query( $args );
		while ( $loop->have_posts() ) :
			$loop->the_post();
			?>
		<figure class="post-thumbnail">
		<a itemprop="url" href="<?php echo esc_url( $category_link ); ?>" rel="bookmark">
			<?php if ( has_post_thumbnail() ) : ?>
				<?php the_post_thumbnail( 'medium' ); ?>
			<?php endif; ?>
		</a>
		<?php endwhile; ?>
		</figure><h2><a href="<?php echo esc_url( $category_link ); ?>" rel="bookmark"><?php esc_html_e( 'Gallery', 'donut' ); ?></a></h2>
		<a href="<?php echo esc_url( $category_link ); ?>" class="read-more-link"><?php esc_html_e( 'Read more...', 'donut' ); ?></a>
		<?php wp_reset_postdata(); ?>
		</li>
		</ul>
		</div>
		</aside>
		</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
